"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.projectRouter = void 0;
const express_1 = require("express");
const project_record_1 = require("../records/project.record");
const errors_1 = require("../utlils/errors");
exports.projectRouter = (0, express_1.Router)()
    .get("/", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const projects = yield project_record_1.ProjectRecord.getAll();
    res.json({
        projects,
    });
}))
    .post("/", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const newProject = new project_record_1.ProjectRecord(req.body);
    yield newProject.insert();
    res.json(newProject);
}))
    .delete("/:id", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const project = yield project_record_1.ProjectRecord.getOne(req.params.id);
    if (!project) {
        throw new errors_1.ValidationError("No such project.");
    }
    yield project.delete();
    res.end();
}));
//# sourceMappingURL=project.router.js.map