"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.taskRouter = void 0;
const express_1 = require("express");
const errors_1 = require("../utlils/errors");
const task_record_1 = require("../records/task.record");
exports.taskRouter = (0, express_1.Router)()
    .get("/", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const tasks = yield task_record_1.TaskRecord.getAll();
    res.json({
        tasks,
    });
}))
    .post("/", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const newProject = new task_record_1.TaskRecord(req.body);
    yield newProject.insert();
    res.json(newProject);
}))
    .patch('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { body } = req;
    const task = yield task_record_1.TaskRecord.getOne(req.params.id);
    // console.log(body);
    if (task === null) {
        throw new errors_1.ValidationError("Didn't find task with this ID.");
    }
    task.taskName = body.taskName;
    // console.log({...task});
    yield task.update();
    res.json(task);
}))
    .patch('/update/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { body } = req;
    const task = yield task_record_1.TaskRecord.getOne(req.params.id);
    if (task === null) {
        throw new errors_1.ValidationError("Didn't find task with this ID.");
    }
    task.completed = body.completed;
    yield task.update();
    res.json(task);
}))
    .delete("/:id", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const task = yield task_record_1.TaskRecord.getOne(req.params.id);
    if (!task) {
        throw new errors_1.ValidationError("No such task.");
    }
    yield task.delete();
    res.end();
}));
//# sourceMappingURL=task.router.js.map