"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const project_record_1 = require("../records/project.record");
describe("Testing ProjectRecord", () => {
    it('can build ProjectRecord', () => {
        const project = new project_record_1.ProjectRecord({
            projectName: 'Projekcik',
        });
        expect(project.projectName).toBe('Projekcik');
    });
    it("Validate invalid project name", () => {
        expect(() => new project_record_1.ProjectRecord({
            projectName: "aaaaaaaaaaddsjdfhdsjhfjsdhfjkshfjksdh",
        })).toThrow('Nazwa projektu nie może być pusta, ani przekraczać 30 znaków.');
    });
});
describe("testing getting data from database", () => {
    it("should return one entry from the database", () => __awaiter(void 0, void 0, void 0, function* () {
        const project = yield project_record_1.ProjectRecord.getOne("4bc39ace-f887-11ec-ab9c-3aaeb891aeb3");
        expect(project).toBeDefined();
        expect(project.id).toBe("4bc39ace-f887-11ec-ab9c-3aaeb891aeb3");
        expect(project.projectName).toBe("Youtube");
    }));
    it("should return null from database for non existing entry", () => __awaiter(void 0, void 0, void 0, function* () {
        const project = yield project_record_1.ProjectRecord.getOne("----");
        expect(project).toBeNull();
    }));
    it("should return all entries from database", () => __awaiter(void 0, void 0, void 0, function* () {
        const projects = yield project_record_1.ProjectRecord.getAll();
        expect(projects).toBeDefined();
        expect(projects.length).toBe(2);
    }));
});
//# sourceMappingURL=project-record.test.js.map