"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const task_record_1 = require("../records/task.record");
describe("Testing TaskRecord", () => {
    it('can build TaskRecord', () => {
        const task = new task_record_1.TaskRecord({
            taskName: 'Projekcik',
            completed: false,
            projectId: "uuid",
        });
        expect(task.taskName).toBe('Projekcik');
        expect(task.completed).toBe(false);
    });
    it("Validate invalid task name", () => {
        expect(() => new task_record_1.TaskRecord({
            taskName: "aaaaaaaaaaddsjdfhdsjhfjsdhfjkshfjdsfsdfsdfsfsdfsksdh",
            completed: false,
            projectId: "uuid",
        })).toThrow('Nazwa zadania nie może być pusta, ani przekraczać 50 znaków.');
    });
});
describe("Testing getting data from database for TaskRecord", () => {
    it("it should return one entry from database", () => __awaiter(void 0, void 0, void 0, function* () {
        const task = yield task_record_1.TaskRecord.getOne("2cc0dc10-f88a-11ec-ab9c-3aaeb891aeb3");
        // console.log(task);
        expect(task).toBeDefined();
        expect(task.id).toBe("2cc0dc10-f88a-11ec-ab9c-3aaeb891aeb3");
        expect(task.taskName).toBe("Nagrac video");
        expect(task.completed).toBe(0);
        expect(task.projectId).toBe("4bc3beb4-f887-11ec-ab9c-3aaeb891aeb3");
    }));
    it("it should return null when entry not found", () => __awaiter(void 0, void 0, void 0, function* () {
        const task = yield task_record_1.TaskRecord.getOne("-");
        expect(task).toBeNull();
    }));
});
//# sourceMappingURL=task-record.test.js.map